Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface ITyped

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FArgumentArrayPrototype, FArgumentPrototype, FMultiArgumentPrototype, ITypedArray, SAttribute, SAttributeArray, SState

All Known Implementing Classes:
  FArgumentArrayPrototypeImpl, FArgumentPrototypeImpl, FMultiArgumentPrototypeImpl, SAttributeArrayImpl, SAttributeImpl, SStateImpl

    public interface ITyped

extends IID

A representation of the model object ' ITyped'.

The following features are supported:

- `SType`

See Also:
  `MetaABMPackage.getITyped()`

Method Summary
`SAttributeType` | `getSType()` Returns the value of the 'SType' attribute.
`void` | `setSType(SAttributeType value)` Sets the value of the '`SType`' attribute.

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSType

    SAttributeType getSType()

  Returns the value of the 'SType' attribute. The default value is `"INTEGER"`. The literals are from the enumeration `SAttributeType`.

  If the meaning of the 'SType' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `setSType(SAttributeType)`, `MetaABMPackage.getITyped_SType()`

### setSType

    void setSType(SAttributeType value)

  Sets the value of the '`SType`' attribute.

  Parameters:
    `value` - the new value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `getSType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD